import { Component, inject } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import SharedModule from 'app/shared/shared.module';
import { ITEM_DELETED_EVENT } from 'app/config/navigation.constants';
import { IVariable } from '../variable.model';
import { VariableService } from '../service/variable.service';

@Component({
  standalone: true,
  templateUrl: './variable-delete-dialog.component.html',
  imports: [SharedModule, FormsModule],
})
export class VariableDeleteDialogComponent {
  variable?: IVariable;

  protected variableService = inject(VariableService);
  protected activeModal = inject(NgbActiveModal);

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.variableService.delete(id).subscribe(() => {
      this.activeModal.close(ITEM_DELETED_EVENT);
    });
  }
}
